Signed-off-by: Roeland Jago Douma <roeland@famdouma.nl>
when:
matrix:
TESTS: check-autoloader
+ check-mergejs:
+ image: nextcloudci/php7.0:php7.0-7
+ commands:
+ - bash ./build/mergejschecker.sh
+ when:
+ matrix:
+ TESTS: check-mergejs
app-check-code:
image: nextcloudci/php7.0:php7.0-7
commands:
- TESTS: integration-ldap-features
- TESTS: jsunit
- TESTS: check-autoloader
+ - TESTS: check-mergejs
- TESTS: app-check-code
- TESTS: syntax-php5.6
- TESTS: syntax-php7.0
--- /dev/null
+#!/usr/bin/env bash
+
+#Regenerate the vendors core.js
+echo
+echo "Regenerating core/vendor/core.js"
+
+d=`dirname $(readlink -f $0)`
+
+php $d/mergejs.php
+
+files=`git diff --name-only`
+
+for file in $files
+do
+ if [[ $file == core/vendor/core.js ]]
+ then
+ echo "The merged vendor file is not up to date"
+ echo "Please run: php build/mergejs.php"
+ echo "And commit the result"
+ exit 1
+ break
+ fi
+done
+
+echo "Vendor js merged as expected. Carry on"
+exit 0